;/*************************************************
;// TITLE:  "PIC18F46K20 Starter Kit - Blink LED
;// ************************************************

;// ************************************************
;// PURPOSE:  The purpose of this program is to blink LEDs connected
;// to RD0 and RD1 ports. The speed of blinking is determined by
;// the value saved in registers REG10 and REG11
;// ************************************************

;//** I N C L U D E S ******************************/
	list p=18f45k20
	#include p18f45k20.inc

;//** C O N F I G U R A T I O N B I T S ***********/
 CONFIG FOSC = INTIO67    ; INTIO67 Note that if it is HS it will not work!
 CONFIG	LVP = OFF
 CONFIG	PWRT = ON

 CONFIG FCMEN = OFF
 CONFIG IESO = OFF ;// CONFIG1H

 CONFIG BOREN = SBORDIS
 CONFIG BORV = 30 ;// CONFIG2L
 CONFIG WDTEN = OFF
 CONFIG WDTPS = 32768 ;// CONFIG2H
 CONFIG MCLRE = OFF 
 CONFIG LPT1OSC = OFF
 CONFIG PBADEN = ON
 CONFIG CCP2MX = PORTC ;// CONFIG3H
 CONFIG STVREN = ON
;
 CONFIG XINST = OFF ;// CONFIG4L
 CONFIG CP0 = OFF
 CONFIG CP1 = OFF
 CONFIG CP2 = OFF
 CONFIG CP3 = OFF ;// CONFIG5L
 CONFIG CPB = OFF
 CONFIG CPD = OFF ;// CONFIG5H
 CONFIG WRT0 = OFF
 CONFIG WRT1 = OFF
 CONFIG WRT2 = OFF
 CONFIG WRT3 = OFF ;// CONFIG6L
 CONFIG WRTB = OFF
 CONFIG  WRTC = OFF
 CONFIG WRTD = OFF ;// CONFIG6H
 CONFIG EBTR0 = OFF
 CONFIG EBTR1 = OFF
 CONFIG EBTR2 = OFF
 CONFIG EBTR3 = OFF ;// CONFIG7L
 CONFIG EBTRB = OFF

;//** I N I T I A L I Z A T I O N ***********/

;//** Constants
Inner_loop  equ D'166'
Outer_loop  equ D'0'

;//** Register Declaration:
reg1	equ	0x01
reg10	equ	0x10
reg11   equ 0x11
 
;//** M A I N   C O D E  ***********/
	org	0x20
start1
    movlw	B'11111100'
	movwf	TRISD
	movwf	reg1

onoff
    movff	reg1,LATD   ; Just write into a SFR
	movlw	Inner_loop
	movwf	reg10
	;movlw	Outer_loop  ;
	;movwf	reg11 

loop1
    decf	reg10,1
	bnz     loop1
    ;decf     reg11,1
    ;bnz     loop1

	comf	reg1,1
	bra     onoff
	end

